Mail archive
alpine-aports

[alpine-aports] [PATCH] main/elixir: move from testing

From: Marlus Saraiva <marlus.saraiva_at_gmail.com>
Date: Tue, 28 Jul 2015 01:56:38 +0200

---
 main/elixir/APKBUILD                     | 39 ++++++++++++++++++++++++++++++++
 testing/elixir/APKBUILD                  | 39 --------------------------------
 testing/elixir/fix_system_cmd_test.patch | 20 ----------------
 3 files changed, 39 insertions(+), 59 deletions(-)
 create mode 100644 main/elixir/APKBUILD
 delete mode 100644 testing/elixir/APKBUILD
 delete mode 100644 testing/elixir/fix_system_cmd_test.patch
diff --git a/main/elixir/APKBUILD b/main/elixir/APKBUILD
new file mode 100644
index 0000000..c4d6db0
--- /dev/null
+++ b/main/elixir/APKBUILD
_at_@ -0,0 +1,39 @@
+# Maintainer: Marlus Saraiva <marlus.saraiva_at_gmail.com>
+
+pkgname=elixir
+pkgver=1.0.5
+pkgrel=0
+pkgdesc="Elixir is a dynamic, functional language designed for building scalable and maintainable applications"
+url="http://elixir-lang.org"
+arch="x86_64"
+license="ASL 2.0"
+depends="erlang erlang-crypto erlang-syntax-tools erlang-inets erlang-ssl
+         erlang-public-key erlang-asn1 erlang-sasl erlang-erl-interface erlang-dev"
+makedepends="erlang-parsetools erlang-eunit erlang-tools"
+source="$pkgname-$pkgver.tar.gz::https://github.com/elixir-lang/elixir/archive/v$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+			*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	export LANG="en_US.UTF-8"
+	make -j1 || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" PREFIX=/usr install || return 1
+}
+
+md5sums="abbdda96891b4519a1dc3e65b58f1b0b  elixir-1.0.5.tar.gz"
+sha256sums="5ce5c226b3d11d751b41ad79b915b86f13f8a1b89ef3e733321d3f46ff4d81b8  elixir-1.0.5.tar.gz"
+sha512sums="1f621e1a3939433dc91a0e2f7e62512b074ce2e8dc7190535570056875f82eda2001a333a51627e39b0f710e104409c8d17aea9635235b0963265d39b32c9f6c  elixir-1.0.5.tar.gz"
diff --git a/testing/elixir/APKBUILD b/testing/elixir/APKBUILD
deleted file mode 100644
index c4d6db0..0000000
--- a/testing/elixir/APKBUILD
+++ /dev/null
_at_@ -1,39 +0,0 @@
-# Maintainer: Marlus Saraiva <marlus.saraiva_at_gmail.com>
-
-pkgname=elixir
-pkgver=1.0.5
-pkgrel=0
-pkgdesc="Elixir is a dynamic, functional language designed for building scalable and maintainable applications"
-url="http://elixir-lang.org"
-arch="x86_64"
-license="ASL 2.0"
-depends="erlang erlang-crypto erlang-syntax-tools erlang-inets erlang-ssl
-         erlang-public-key erlang-asn1 erlang-sasl erlang-erl-interface erlang-dev"
-makedepends="erlang-parsetools erlang-eunit erlang-tools"
-source="$pkgname-$pkgver.tar.gz::https://github.com/elixir-lang/elixir/archive/v$pkgver.tar.gz"
-
-_builddir="$srcdir"/$pkgname-$pkgver
-
-prepare() {
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-			*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1
-		esac
-	done
-}
-
-build() {
-	cd "$_builddir"
-	export LANG="en_US.UTF-8"
-	make -j1 || return 1
-}
-
-package() {
-	cd "$_builddir"
-	make DESTDIR="$pkgdir" PREFIX=/usr install || return 1
-}
-
-md5sums="abbdda96891b4519a1dc3e65b58f1b0b  elixir-1.0.5.tar.gz"
-sha256sums="5ce5c226b3d11d751b41ad79b915b86f13f8a1b89ef3e733321d3f46ff4d81b8  elixir-1.0.5.tar.gz"
-sha512sums="1f621e1a3939433dc91a0e2f7e62512b074ce2e8dc7190535570056875f82eda2001a333a51627e39b0f710e104409c8d17aea9635235b0963265d39b32c9f6c  elixir-1.0.5.tar.gz"
diff --git a/testing/elixir/fix_system_cmd_test.patch b/testing/elixir/fix_system_cmd_test.patch
deleted file mode 100644
index be852a5..0000000
--- a/testing/elixir/fix_system_cmd_test.patch
+++ /dev/null
_at_@ -1,20 +0,0 @@
---- ./lib/elixir/test/elixir/system_test.exs.orig
-+++ ./lib/elixir/test/elixir/system_test.exs
-_at_@ -63,7 +63,7 @@ defmodule SystemTest do
-     assert {"hello\n", 0} = System.cmd "echo", ["hello"]
- 
-     opts = [into: [], cd: System.cwd!, env: %{"foo" => "bar"},
--            arg0: "hecho", stderr_to_stdout: true, parallelism: true]
-+            arg0: "echo", stderr_to_stdout: true, parallelism: true]
-     assert {["hello\n"], 0} = System.cmd "echo", ["hello"], opts
- 
-     with_tmp_dir(fn dir ->
-_at_@ -73,7 +73,7 @@ defmodule SystemTest do
- 
-       File.cd!(dir)
-       assert :enoent = catch_error(System.cmd("echo2", ["hello"]))
--      assert {"hello\n", 0} = System.cmd(Path.join([System.cwd, "echo2"]), ["hello"])
-+      assert {"hello\n", 0} = System.cmd(Path.join([System.cwd, "echo2"]), ["hello"], [{:arg0, "echo"}])
-     end)
-   end
- 
-- 
2.4.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Jul 28 2015 - 01:56:38 GMT